MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
mapitest_stat Struct Reference

mapitest statistics More...

`#include <mapitest.h>`

## Data Fields
bool | enabled
uint32_t | failure
struct mapitest_unit * | failure_info
struct mapitest_unit * | skip_info
uint32_t | skipped
uint32_t | success
uint32_t | x_fail

## Detailed Description

mapitest statistics

During a mapitest run, mapitest collects statistics on each test suite.

This data structure records the results for one run of a test suite.

There should be one entry in the failure_info list for each failure.

## Field Documentation

bool mapitest_stat::enabled

Whether this statistics structure is valid

Referenced by mapitest_stat_add_result(), mapitest_stat_add_skipped_test(), mapitest_stat_dump(), and mapitest_stat_init().

uint32_t mapitest_stat::failure

Number of tests in this suite that failed

Referenced by mapitest_stat_add_result(), mapitest_stat_dump(), and mapitest_stat_init().

struct mapitest_unit* mapitest_stat::failure_info

List of names of the tests that failed

Referenced by mapitest_stat_add_result(), mapitest_stat_dump(), and mapitest_stat_init().

struct mapitest_unit* mapitest_stat::skip_info

List of names of the tests that were skipped, and why

Referenced by mapitest_stat_add_skipped_test(), mapitest_stat_dump(), and mapitest_stat_init().

uint32_t mapitest_stat::skipped

Number of tests in this suite that were skipped

Referenced by mapitest_stat_add_skipped_test(), mapitest_stat_dump(), and mapitest_stat_init().

uint32_t mapitest_stat::success

Number of tests in this suite that passed

Referenced by mapitest_stat_add_result(), mapitest_stat_dump(), and mapitest_stat_init().

uint32_t mapitest_stat::x_fail

Number of tests in this suite that were expected failures

Referenced by mapitest_stat_add_result(), mapitest_stat_dump(), and mapitest_stat_init().

The documentation for this struct was generated from the following file:

- utils/mapitest/mapitest.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/